> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/go/go-bundle/sdks/compute/api/graphicsprocessingunitcardsapi.md).

# GraphicsProcessingUnitCardsApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                | HTTP request                                                        | Description         |
| --------------------------------------------------------------------- | ------------------------------------------------------------------- | ------------------- |
| [**DatacentersServersGPUsFindById**](#DatacentersServersGPUsFindById) | **Get** /datacenters/{datacenterId}/servers/{serverId}/gpus/{gpuId} | Retrieve GPUs by ID |
| [**DatacentersServersGPUsGet**](#DatacentersServersGPUsGet)           | **Get** /datacenters/{datacenterId}/servers/{serverId}/gpus         | List GPUs           |

## DatacentersServersGPUsFindById

```go
var result Gpu = DatacentersServersGPUsFindById(ctx, datacenterId, serverId, gpuId)
                      .Pretty(pretty)
                      .Depth(depth)
                      .XContractNumber(xContractNumber)
                      .Execute()
```

Retrieve GPUs by ID

### Example

```go
package main

import (
    "context"
    "fmt"
    "os"

    compute "github.com/ionos-cloud/sdk-go-bundle/compute"
    "github.com/ionos-cloud/sdk-go-bundle/shared"
)

func main() {
    datacenterId := TODO // string | The unique ID of the data center.
    serverId := TODO // string | The unique ID of the server.
    gpuId := TODO // string | The unique ID of the Graphics Processing Unit (GPU) card.
    pretty := true // bool | Controls whether the response is pretty-printed (with indentations and new lines). (optional) (default to true)
    depth := int32(56) // int32 | Controls the detail depth of the response objects.  GET /datacenters/[ID]   - depth=0: Only direct properties are included; children (servers and other elements) are not included.   - depth=1: Direct properties and children references are included.   - depth=2: Direct properties and children properties are included.   - depth=3: Direct properties and children properties and children's children are included.   - depth=... and so on (optional) (default to 0)
    xContractNumber := int32(56) // int32 | Users with multiple contracts must provide the contract number, for which all API requests are to be executed. (optional)

    configuration := shared.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
    apiClient := compute.NewAPIClient(configuration)
    resource, resp, err := apiClient.GraphicsProcessingUnitCardsApi.DatacentersServersGPUsFindById(context.Background(), datacenterId, serverId, gpuId).Pretty(pretty).Depth(depth).XContractNumber(xContractNumber).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `GraphicsProcessingUnitCardsApi.DatacentersServersGPUsFindById``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
    }
    // response from `DatacentersServersGPUsFindById`: Gpu
    fmt.Fprintf(os.Stdout, "Response from `GraphicsProcessingUnitCardsApi.DatacentersServersGPUsFindById`: %v\n", resource)
}
```

### Path Parameters

| Name             | Type                                                                                                          | Description                                                                 | Notes |
| ---------------- | ------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------- | ----- |
| **ctx**          | **context.Context**                                                                                           | context for authentication, logging, cancellation, deadlines, tracing, etc. |       |
| **datacenterId** | [**string**](https://github.com/ionos-cloud/sdk-go-bundle/tree/v2/products/compute/docs/models/.md/README.md) | The unique ID of the data center.                                           |       |
| **serverId**     | [**string**](https://github.com/ionos-cloud/sdk-go-bundle/tree/v2/products/compute/docs/models/.md/README.md) | The unique ID of the server.                                                |       |
| **gpuId**        | [**string**](https://github.com/ionos-cloud/sdk-go-bundle/tree/v2/products/compute/docs/models/.md/README.md) | The unique ID of the Graphics Processing Unit (GPU) card.                   |       |

### Other Parameters

Other parameters are passed through a pointer to an apiDatacentersServersGPUsFindByIdRequest struct via the builder pattern

| Name                | Type      | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes              |
| ------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------ |
| **pretty**          | **bool**  | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[default to true] |
| **depth**           | **int32** | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[default to 0]    |
| **xContractNumber** | **int32** | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           |                    |

### Return type

[**Gpu**](/cloud/go/go-bundle/sdks/compute/models/gpu.md)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## DatacentersServersGPUsGet

```go
var result Gpus = DatacentersServersGPUsGet(ctx, datacenterId, serverId)
                      .Pretty(pretty)
                      .Depth(depth)
                      .XContractNumber(xContractNumber)
                      .Execute()
```

List GPUs

### Example

```go
package main

import (
    "context"
    "fmt"
    "os"

    compute "github.com/ionos-cloud/sdk-go-bundle/compute"
    "github.com/ionos-cloud/sdk-go-bundle/shared"
)

func main() {
    datacenterId := TODO // string | The unique ID of the data center.
    serverId := TODO // string | The unique ID of the server.
    pretty := true // bool | Controls whether the response is pretty-printed (with indentations and new lines). (optional) (default to true)
    depth := int32(56) // int32 | Controls the detail depth of the response objects.  GET /datacenters/[ID]   - depth=0: Only direct properties are included; children (servers and other elements) are not included.   - depth=1: Direct properties and children references are included.   - depth=2: Direct properties and children properties are included.   - depth=3: Direct properties and children properties and children's children are included.   - depth=... and so on (optional) (default to 0)
    xContractNumber := int32(56) // int32 | Users with multiple contracts must provide the contract number, for which all API requests are to be executed. (optional)

    configuration := shared.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
    apiClient := compute.NewAPIClient(configuration)
    resource, resp, err := apiClient.GraphicsProcessingUnitCardsApi.DatacentersServersGPUsGet(context.Background(), datacenterId, serverId).Pretty(pretty).Depth(depth).XContractNumber(xContractNumber).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `GraphicsProcessingUnitCardsApi.DatacentersServersGPUsGet``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
    }
    // response from `DatacentersServersGPUsGet`: Gpus
    fmt.Fprintf(os.Stdout, "Response from `GraphicsProcessingUnitCardsApi.DatacentersServersGPUsGet`: %v\n", resource)
}
```

### Path Parameters

| Name             | Type                                                                                                          | Description                                                                 | Notes |
| ---------------- | ------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------- | ----- |
| **ctx**          | **context.Context**                                                                                           | context for authentication, logging, cancellation, deadlines, tracing, etc. |       |
| **datacenterId** | [**string**](https://github.com/ionos-cloud/sdk-go-bundle/tree/v2/products/compute/docs/models/.md/README.md) | The unique ID of the data center.                                           |       |
| **serverId**     | [**string**](https://github.com/ionos-cloud/sdk-go-bundle/tree/v2/products/compute/docs/models/.md/README.md) | The unique ID of the server.                                                |       |

### Other Parameters

Other parameters are passed through a pointer to an apiDatacentersServersGPUsGetRequest struct via the builder pattern

| Name                | Type      | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes              |
| ------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------ |
| **pretty**          | **bool**  | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[default to true] |
| **depth**           | **int32** | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[default to 0]    |
| **xContractNumber** | **int32** | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           |                    |

### Return type

[**Gpus**](/cloud/go/go-bundle/sdks/compute/models/gpus.md)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/go/go-bundle/sdks/compute/api/graphicsprocessingunitcardsapi.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
